<?xml version="1.0" encoding="UTF-8"?>
<con:soapui-project id="cfca1c23-7a24-44a7-bf17-6a8c8b54a839" activeEnvironment="Default" name="AuditMessage REST" resourceRoot="" soapui-version="5.3.0" abortOnError="false" runType="SEQUENTIAL" xmlns:con="http://eviware.com/soapui/config">
  <con:settings/>
  <con:interface xsi:type="con:RestService" id="223f5159-70d9-4f37-87ef-c7a6d4f654b4" wadlVersion="http://wadl.dev.java.net/2009/02" name="https://127.0.0.1:8080" type="rest" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <con:settings/>
    <con:definitionCache type="TEXT" rootPart=""/>
    <con:endpoints>
      <con:endpoint>${#Project#domain}</con:endpoint>
    </con:endpoints>
    <con:resource name="AuditMessageSpecifications" path="/gss-dev/rest/auditMessageSpecifications" id="93c0079f-aeef-4c93-93a2-f1df53ba8189">
      <con:settings/>
      <con:parameters/>
      <con:method name="AuditMessageSpecifications 1" id="3b562306-6a7a-4a13-9f91-f568e2c4a297" method="GET">
        <con:settings/>
        <con:parameters/>
        <con:representation type="RESPONSE">
          <con:mediaType>application/zip</con:mediaType>
          <con:status>200</con:status>
          <con:params/>
          <con:element>data</con:element>
        </con:representation>
        <con:request name="Request 1" id="ede2d68b-4559-4aea-93e9-c20c2d7e04f5" mediaType="application/json">
          <con:settings>
            <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
          </con:settings>
          <con:endpoint>${#Project#domain}</con:endpoint>
          <con:request/>
          <con:originalUri>http://127.0.0.1/gss-dev/rest/auditMessageSpecifications</con:originalUri>
          <con:credentials>
            <con:username xsi:nil="true"/>
            <con:password xsi:nil="true"/>
            <con:domain xsi:nil="true"/>
            <con:authType>No Authorization</con:authType>
          </con:credentials>
          <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
          <con:jmsPropertyConfig/>
          <con:parameters/>
        </con:request>
      </con:method>
    </con:resource>
  </con:interface>
  <con:testSuite id="9ad300d6-04be-45f1-983b-96da1c8313fe" name="getAuditMessageSpecificationArchive TestSuite">
    <con:description>TestSuite generated for REST Service [https://127.0.0.1:8080]</con:description>
    <con:settings/>
    <con:runType>SEQUENTIAL</con:runType>
    <con:testCase id="46b19c8a-7f30-4058-962b-de56051d1b78" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="AuditMessageSpecifications TestCase" searchProperties="true">
      <con:description>TestCase generated for REST Resource [AuditMessageSpecifications] located at [/gss-dev/rest/auditMessageSpecifications]</con:description>
      <con:settings/>
      <con:testStep type="restrequest" name="VALID_RESPONSE" id="2d80c7a1-ccb2-4b2a-8056-9d89cea1fb88">
        <con:settings/>
        <con:config service="https://127.0.0.1:8080" resourcePath="/gss-dev/rest/auditMessageSpecifications" methodName="AuditMessageSpecifications 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
          <con:restRequest name="VALID_RESPONSE" id="ede2d68b-4559-4aea-93e9-c20c2d7e04f5" mediaType="application/json">
            <con:settings>
              <con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
            </con:settings>
            <con:endpoint>${#Project#domain}</con:endpoint>
            <con:request/>
            <con:originalUri>http://127.0.0.1/gss-dev/rest/auditMessageSpecifications</con:originalUri>
            <con:assertion type="Valid HTTP Status Codes" id="133455ae-2d09-486f-877d-9c84304da2b5" name="Valid HTTP Status Codes">
              <con:configuration>
                <codes>200</codes>
              </con:configuration>
            </con:assertion>
            <con:assertion type="Simple Contains" id="17cdaa64-69e1-412f-8614-5a3f4b5ba020" name="Contains">
              <con:configuration>
                <token>.xml</token>
                <ignoreCase>false</ignoreCase>
                <useRegEx>false</useRegEx>
              </con:configuration>
            </con:assertion>
            <con:assertion type="Sensitive Information Exposure" id="1f6972f6-789e-4e91-a36a-5c2659e93421" name="Sensitive Information Exposure">
              <con:configuration>
                <AssertionSpecificExposureList>password###password</AssertionSpecificExposureList>
                <IncludeProjectSpecific>true</IncludeProjectSpecific>
                <IncludeGlobal>true</IncludeGlobal>
              </con:configuration>
            </con:assertion>
            <con:credentials>
              <con:username xsi:nil="true"/>
              <con:password xsi:nil="true"/>
              <con:domain xsi:nil="true"/>
              <con:authType>No Authorization</con:authType>
            </con:credentials>
            <con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
            <con:jmsPropertyConfig/>
            <con:parameters/>
          </con:restRequest>
        </con:config>
      </con:testStep>
      <con:properties/>
    </con:testCase>
    <con:properties/>
  </con:testSuite>
  <con:properties>
    <con:property>
      <con:name>domain</con:name>
      <con:value>https://127.0.0.1:8080</con:value>
    </con:property>
  </con:properties>
  <con:wssContainer/>
  <con:oAuth2ProfileContainer/>
  <con:oAuth1ProfileContainer/>
</con:soapui-project>